1

I've installed pyModis on my Mac using pip install pyModis. No error messages. When I try to run modis_download.py I get this error:

Traceback (most recent call last):
  File "/usr/local/bin/modis_download.py", line 30, in <module>
    from pymodis import optparse_required
  File "/Library/Python/2.7/site-packages/pymodis/__init__.py", line 3, in <module>
    from . import downmodis
  File "/Library/Python/2.7/site-packages/pymodis/downmodis.py", line 53, in <module>
    from urllib.request import urlopen
ImportError: No module named request

Does anyone know what's up here?

1

Apparently urllib has changed since python 3 and it seems like my pyModis wants to use the new imports. I fixed the problem by changing urllib.request to just urllib in some parts of downmodis.py.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.